Subject: herb schools

From: [email-masked] (Michael Jones)
Date: Thu, 20 Jul 1995 21:30:00 -0500

Hi I'm interested in studying chinese herbs, or any type of herbal study at a 
school, i was wondering if anyone knew of any schools in Canada that teach 
this? preferably in Ontario. any help would be greattly apprecitated!!

Mike

-----------------------------------------------------------------------------
Internet: [email-masked] (Michael Jones)
This message was processed by the Good People at the WISE BBS
(905)732-2524 -*- Fido 1:247/336
-----------------------------------------------------------------------------